# PDF Fields in Template

{% hint style="info" %}
You can use almost all fields with uploaded PDF.
{% endhint %}

{% columns %}
{% column %}
**Allowed fields:**

* text
* number
* currency
* dat
* dropdown
* choice
  {% endcolumn %}

{% column %}

* checkbox
* dictionary
* lookup
* duplicate
* formula
* autonumber
* signature
  {% endcolumn %}
  {% endcolumns %}

Send additional attributes like coordinates, dimension, and page for such fields:

```xml
<field x="69.05625" y="257.61597" width="30.69167" height="7.9375" page="0">
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/pdf-fields-in-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
